Index: include/libroar/libroar.h
===================================================================
--- include/libroar/libroar.h	(revision 1322)
+++ include/libroar/libroar.h	(revision 1326)
@@ -74,4 +74,6 @@
 #include "vio_pipe.h"
 #include "vio_bio.h"
+#include "vio_stack.h"
+// dstr needs to have access to all other VIOs, so it must be included last
 #include "vio_dstr.h"
 #include "basic.h"
Index: include/libroar/vio_stack.h
===================================================================
--- include/libroar/vio_stack.h	(revision 1326)
+++ include/libroar/vio_stack.h	(revision 1326)
@@ -0,0 +1,53 @@
+//vio_stack.h:
+
+/*
+ *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2009
+ *
+ *  This file is part of libroar a part of RoarAudio,
+ *  a cross-platform sound system for both, home and professional use.
+ *  See README for details.
+ *
+ *  This file is free software; you can redistribute it and/or modify
+ *  it under the terms of the GNU General Public License version 3
+ *  as published by the Free Software Foundation.
+ *
+ *  libroar is distributed in the hope that it will be useful,
+ *  but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *  GNU General Public License for more details.
+ *
+ *  You should have received a copy of the GNU General Public License
+ *  along with this software; see the file COPYING.  If not, write to
+ *  the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
+ *
+ *  NOTE for everyone want's to change something and send patches:
+ *  read README and HACKING! There a addition information on
+ *  the license of this document you need to read before you send
+ *  any patches.
+ *
+ *  NOTE for uses of non-GPL (LGPL,...) software using libesd, libartsc
+ *  or libpulse*:
+ *  The libs libroaresd, libroararts and libroarpulse link this lib
+ *  and are therefore GPL. Because of this it may be illigal to use
+ *  them with any software that uses libesd, libartsc or libpulse*.
+ */
+
+#ifndef _LIBROARVIO_STACK_H_
+#define _LIBROARVIO_STACK_H_
+
+#include "libroar.h"
+
+int     roar_vio_open_stack    (struct roar_vio_calls * calls);
+
+#ifdef ROAR_HAVE_LIBSSL
+ssize_t roar_vio_stack_read    (struct roar_vio_calls * vio, void *buf, size_t count);
+ssize_t roar_vio_stack_write   (struct roar_vio_calls * vio, void *buf, size_t count);
+off_t   roar_vio_stack_lseek   (struct roar_vio_calls * vio, off_t offset, int whence);
+int     roar_vio_stack_nonblock(struct roar_vio_calls * vio, int state);
+int     roar_vio_stack_sync    (struct roar_vio_calls * vio);
+int     roar_vio_stack_close   (struct roar_vio_calls * vio);
+#endif
+
+#endif
+
+//ll
Index: libroar/Makefile
===================================================================
--- libroar/Makefile	(revision 1322)
+++ libroar/Makefile	(revision 1326)
@@ -2,5 +2,5 @@
 
 TARGETS=libroar.so
-VIO=vio.o vio_cmd.o vio_ops.o vio_magic.o vio_pipe.o vio_bio.o vio_dstr.o
+VIO=vio.o vio_cmd.o vio_ops.o vio_magic.o vio_pipe.o vio_bio.o vio_stack.o vio_dstr.o
 OBJS=libroar.o basic.o stream.o simple.o auth.o socket.o ctl.o buffer.o convert.o poly.o meta.o file.o acl.o cdrom.o pinentry.o sshaskpass.o $(VIO) stack.o
 
Index: libroar/vio_stack.c
===================================================================
--- libroar/vio_stack.c	(revision 1326)
+++ libroar/vio_stack.c	(revision 1326)
@@ -0,0 +1,37 @@
+//vio_stack.c:
+
+/*
+ *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2009
+ *
+ *  This file is part of libroar a part of RoarAudio,
+ *  a cross-platform sound system for both, home and professional use.
+ *  See README for details.
+ *
+ *  This file is free software; you can redistribute it and/or modify
+ *  it under the terms of the GNU General Public License version 3
+ *  as published by the Free Software Foundation.
+ *
+ *  libroar is distributed in the hope that it will be useful,
+ *  but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *  GNU General Public License for more details.
+ *
+ *  You should have received a copy of the GNU General Public License
+ *  along with this software; see the file COPYING.  If not, write to
+ *  the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
+ *
+ *  NOTE for everyone want's to change something and send patches:
+ *  read README and HACKING! There a addition information on
+ *  the license of this document you need to read before you send
+ *  any patches.
+ *
+ *  NOTE for uses of non-GPL (LGPL,...) software using libesd, libartsc
+ *  or libpulse*:
+ *  The libs libroaresd, libroararts and libroarpulse link this lib
+ *  and are therefore GPL. Because of this it may be illigal to use
+ *  them with any software that uses libesd, libartsc or libpulse*.
+ */
+
+#include "libroar.h"
+
+//ll