Index: plugins/roard/listenpty.c
===================================================================
--- plugins/roard/listenpty.c	(revision 5275)
+++ plugins/roard/listenpty.c	(revision 5340)
@@ -58,8 +58,12 @@
 ROARD_DL_REG_SCHED(sched)
 
-ROAR_DL_PLUGIN_START(roard_discard_protocol) {
+ROAR_DL_PLUGIN_START(roard_listenpty) {
  ROARD_DL_CHECK_VERSIONS();
 
- libname.license = "GPL-3.0";
+ ROAR_DL_PLUGIN_META_PRODUCT_NIV("roard-listenpty", ROAR_VID_ROARAUDIO, ROAR_VNAME_ROARAUDIO);
+ ROAR_DL_PLUGIN_META_VERSION(ROAR_VERSION_STRING);
+ ROAR_DL_PLUGIN_META_LICENSE_TAG(GPLv3_0);
+ ROAR_DL_PLUGIN_META_CONTACT_FLNE("Philipp", "Schafft", "ph3-der-loewe", "lion@lion.leolix.org");
+ ROAR_DL_PLUGIN_META_DESC("This implements a listen socket using a PTY");
 
  ROARD_DL_REGFN_SCHED();
Index: plugins/roard/protocol-irc.c
===================================================================
--- plugins/roard/protocol-irc.c	(revision 5312)
+++ plugins/roard/protocol-irc.c	(revision 5340)
@@ -873,5 +873,9 @@
  ROARD_DL_CHECK_VERSIONS();
 
- libname.license = "GPL-3.0";
+ ROAR_DL_PLUGIN_META_PRODUCT_NIV("roard-irc-protocol", ROAR_VID_ROARAUDIO, ROAR_VNAME_ROARAUDIO);
+ ROAR_DL_PLUGIN_META_VERSION(ROAR_VERSION_STRING);
+ ROAR_DL_PLUGIN_META_LICENSE_TAG(GPLv3_0);
+ ROAR_DL_PLUGIN_META_CONTACT_FLNE("Philipp", "Schafft", "ph3-der-loewe", "lion@lion.leolix.org");
+ ROAR_DL_PLUGIN_META_DESC("Implementation of the Internet Relay Chat (IRC)");
 
  ROAR_DL_PLUGIN_REG_UNLOAD(unload);
Index: plugins/universal/plugin-info.c
===================================================================
--- plugins/universal/plugin-info.c	(revision 5335)
+++ plugins/universal/plugin-info.c	(revision 5340)
@@ -115,15 +115,12 @@
 
 ROAR_DL_PLUGIN_START(plugin_info) {
- ROAR_DL_PLUGIN_META_PRODUCT("plugin-info <0/RoarAudio>");
- ROAR_DL_PLUGIN_META_PRODUCT_NIV("plugin-info", 0, "RoarAudio");
+ ROAR_DL_PLUGIN_META_PRODUCT_NIV("plugin-info", ROAR_VID_ROARAUDIO, ROAR_VNAME_ROARAUDIO);
  ROAR_DL_PLUGIN_META_VERSION(ROAR_VERSION_STRING);
+ ROAR_DL_PLUGIN_META_LICENSE_TAG(GPLv3_0); 
+ ROAR_DL_PLUGIN_META_CONTACT_FLNE("Philipp", "Schafft", "ph3-der-loewe", "lion@lion.leolix.org");
  ROAR_DL_PLUGIN_META_DESC("Display information about the plugin context");
- ROAR_DL_PLUGIN_META_CONTACT_FLNE("Philipp", "Schafft", "ph3-der-loewe", "lion@lion.leolix.org");
- ROAR_DL_PLUGIN_META_LICENSE_TAG(GPLv3_0); 
 
  ROAR_DL_PLUGIN_REG_GLOBAL_DATA(global_data, global_data_init);
  ROAR_DL_PLUGIN_REG_APPSCHED(&sched);
-
-// ROAR_DL_PLUGIN_ABORT_LOADING(ROAR_ERROR_CAUSALITY);
 } ROAR_DL_PLUGIN_END
 
Index: plugins/universal/protocol-daytime.c
===================================================================
--- plugins/universal/protocol-daytime.c	(revision 5312)
+++ plugins/universal/protocol-daytime.c	(revision 5340)
@@ -67,5 +67,9 @@
  ROARD_DL_CHECK_VERSIONS();
 
- libname.license = "GPL-3.0";
+ ROAR_DL_PLUGIN_META_PRODUCT_NIV("roard-daytime-protocol", ROAR_VID_ROARAUDIO, ROAR_VNAME_ROARAUDIO);
+ ROAR_DL_PLUGIN_META_VERSION(ROAR_VERSION_STRING);
+ ROAR_DL_PLUGIN_META_LICENSE_TAG(GPLv3_0);
+ ROAR_DL_PLUGIN_META_CONTACT_FLNE("Philipp", "Schafft", "ph3-der-loewe", "lion@lion.leolix.org");
+ ROAR_DL_PLUGIN_META_DESC("Implementation of the Internet daytime protocol");
 
  ROARD_DL_REGFN_PROTO();
Index: plugins/universal/protocol-discard.c
===================================================================
--- plugins/universal/protocol-discard.c	(revision 5312)
+++ plugins/universal/protocol-discard.c	(revision 5340)
@@ -50,5 +50,9 @@
  ROARD_DL_CHECK_VERSIONS();
 
- libname.license = "GPL-3.0"; 
+ ROAR_DL_PLUGIN_META_PRODUCT_NIV("roard-discard-protocol", ROAR_VID_ROARAUDIO, ROAR_VNAME_ROARAUDIO);
+ ROAR_DL_PLUGIN_META_VERSION(ROAR_VERSION_STRING);
+ ROAR_DL_PLUGIN_META_LICENSE_TAG(GPLv3_0);
+ ROAR_DL_PLUGIN_META_CONTACT_FLNE("Philipp", "Schafft", "ph3-der-loewe", "lion@lion.leolix.org");
+ ROAR_DL_PLUGIN_META_DESC("Implementation of a dummy protocol discarding all data");
 
  ROARD_DL_REGFN_PROTO();
Index: plugins/universal/protocol-echo.c
===================================================================
--- plugins/universal/protocol-echo.c	(revision 5312)
+++ plugins/universal/protocol-echo.c	(revision 5340)
@@ -65,5 +65,9 @@
  ROARD_DL_CHECK_VERSIONS();
 
- libname.license = "GPL-3.0";
+ ROAR_DL_PLUGIN_META_PRODUCT_NIV("roard-echo-protocol", ROAR_VID_ROARAUDIO, ROAR_VNAME_ROARAUDIO);
+ ROAR_DL_PLUGIN_META_VERSION(ROAR_VERSION_STRING);
+ ROAR_DL_PLUGIN_META_LICENSE_TAG(GPLv3_0);
+ ROAR_DL_PLUGIN_META_CONTACT_FLNE("Philipp", "Schafft", "ph3-der-loewe", "lion@lion.leolix.org");
+ ROAR_DL_PLUGIN_META_DESC("Implementation of a dummy protocol sending all data back to the sender");
 
  ROARD_DL_REGFN_PROTO();