Index: libroar/acl.c
===================================================================
--- libroar/acl.c	(revision 5270)
+++ libroar/acl.c	(revision 5381)
@@ -2,5 +2,5 @@
 
 /*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2008-2011
+ *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2008-2012
  *
  *  This file is part of libroar a part of RoarAudio,
Index: libroar/asyncctl.c
===================================================================
--- libroar/asyncctl.c	(revision 5146)
+++ libroar/asyncctl.c	(revision 5381)
@@ -2,5 +2,5 @@
 
 /*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2010-2011
+ *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2010-2012
  *
  *  This file is part of libroar a part of RoarAudio,
Index: libroar/auth.c
===================================================================
--- libroar/auth.c	(revision 5295)
+++ libroar/auth.c	(revision 5381)
@@ -2,5 +2,5 @@
 
 /*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2008-2011
+ *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2008-2012
  *
  *  This file is part of libroar a part of RoarAudio,
Index: libroar/authfile.c
===================================================================
--- libroar/authfile.c	(revision 5360)
+++ libroar/authfile.c	(revision 5381)
@@ -2,5 +2,5 @@
 
 /*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2010-2011
+ *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2010-2012
  *
  *  This file is part of libroar a part of RoarAudio,
Index: libroar/base64.c
===================================================================
--- libroar/base64.c	(revision 4708)
+++ libroar/base64.c	(revision 5381)
@@ -2,5 +2,5 @@
 
 /*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2010-2011
+ *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2010-2012
  *
  *  This file is part of libroar a part of RoarAudio,
Index: libroar/basic.c
===================================================================
--- libroar/basic.c	(revision 5375)
+++ libroar/basic.c	(revision 5381)
@@ -2,5 +2,5 @@
 
 /*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2008-2011
+ *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2008-2012
  *
  *  This file is part of libroar a part of RoarAudio,
Index: libroar/beep.c
===================================================================
--- libroar/beep.c	(revision 5146)
+++ libroar/beep.c	(revision 5381)
@@ -2,5 +2,5 @@
 
 /*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2010-2011
+ *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2010-2012
  *
  *  This file is part of libroar a part of RoarAudio,
Index: libroar/buffer.c
===================================================================
--- libroar/buffer.c	(revision 5352)
+++ libroar/buffer.c	(revision 5381)
@@ -2,5 +2,5 @@
 
 /*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2008-2011
+ *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2008-2012
  *
  *  This file is part of libroar a part of RoarAudio,
Index: libroar/caps.c
===================================================================
--- libroar/caps.c	(revision 5295)
+++ libroar/caps.c	(revision 5381)
@@ -2,5 +2,5 @@
 
 /*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2010-2011
+ *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2010-2012
  *
  *  This file is part of libroar a part of RoarAudio,
Index: libroar/cdrom.c
===================================================================
--- libroar/cdrom.c	(revision 5373)
+++ libroar/cdrom.c	(revision 5381)
@@ -2,5 +2,5 @@
 
 /*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2008-2011
+ *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2008-2012
  *
  *  This file is part of libroar a part of RoarAudio,
Index: libroar/client.c
===================================================================
--- libroar/client.c	(revision 5145)
+++ libroar/client.c	(revision 5381)
@@ -2,5 +2,5 @@
 
 /*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2010-2011
+ *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2010-2012
  *
  *  This file is part of libroar a part of RoarAudio,
Index: libroar/config.c
===================================================================
--- libroar/config.c	(revision 5373)
+++ libroar/config.c	(revision 5381)
@@ -2,5 +2,5 @@
 
 /*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2009-2011
+ *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2009-2012
  *
  *  This file is part of libroar a part of RoarAudio,
Index: libroar/crc.c
===================================================================
--- libroar/crc.c	(revision 5007)
+++ libroar/crc.c	(revision 5381)
@@ -2,5 +2,5 @@
 
 /*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2010-2011
+ *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2010-2012
  *
  *  This file is part of libroar a part of RoarAudio,
Index: libroar/crypto.c
===================================================================
--- libroar/crypto.c	(revision 4708)
+++ libroar/crypto.c	(revision 5381)
@@ -2,5 +2,5 @@
 
 /*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2010-2011
+ *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2010-2012
  *
  *  This file is part of libroar a part of RoarAudio,
Index: libroar/ctl.c
===================================================================
--- libroar/ctl.c	(revision 5360)
+++ libroar/ctl.c	(revision 5381)
@@ -2,5 +2,5 @@
 
 /*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2008-2011
+ *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2008-2012
  *
  *  This file is part of libroar a part of RoarAudio,
Index: libroar/debug.c
===================================================================
--- libroar/debug.c	(revision 5270)
+++ libroar/debug.c	(revision 5381)
@@ -2,5 +2,5 @@
 
 /*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2009-2011
+ *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2009-2012
  *
  *  This file is part of libroar a part of RoarAudio,
Index: libroar/empty.c
===================================================================
--- libroar/empty.c	(revision 5316)
+++ libroar/empty.c	(revision 5381)
@@ -2,5 +2,5 @@
 
 /*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2011
+ *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2012
  *
  *  This file is part of libroar a part of RoarAudio,
Index: libroar/enumdev.c
===================================================================
--- libroar/enumdev.c	(revision 5373)
+++ libroar/enumdev.c	(revision 5381)
@@ -2,5 +2,5 @@
 
 /*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2010-2011
+ *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2010-2012
  *
  *  This file is part of libroar a part of RoarAudio,
Index: libroar/env.c
===================================================================
--- libroar/env.c	(revision 5270)
+++ libroar/env.c	(revision 5381)
@@ -2,5 +2,5 @@
 
 /*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2010-2011
+ *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2010-2012
  *
  *  This file is part of libroar a part of RoarAudio,
Index: libroar/error.c
===================================================================
--- libroar/error.c	(revision 5371)
+++ libroar/error.c	(revision 5381)
@@ -2,5 +2,5 @@
 
 /*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2010-2011
+ *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2010-2012
  *
  *  This file is part of libroar a part of RoarAudio,
Index: libroar/file.c
===================================================================
--- libroar/file.c	(revision 5271)
+++ libroar/file.c	(revision 5381)
@@ -2,5 +2,5 @@
 
 /*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2008-2011
+ *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2008-2012
  *
  *  This file is part of libroar a part of RoarAudio,
Index: libroar/hash.c
===================================================================
--- libroar/hash.c	(revision 5364)
+++ libroar/hash.c	(revision 5381)
@@ -2,5 +2,5 @@
 
 /*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2010-2011
+ *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2010-2012
  *
  *  This file is part of libroar a part of RoarAudio,
Index: libroar/hash_tiger.c
===================================================================
--- libroar/hash_tiger.c	(revision 5270)
+++ libroar/hash_tiger.c	(revision 5381)
@@ -2,5 +2,5 @@
 
 /*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2010-2011
+ *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2010-2012
  *
  *  This file is part of libroar a part of RoarAudio,
Index: libroar/keyval.c
===================================================================
--- libroar/keyval.c	(revision 5145)
+++ libroar/keyval.c	(revision 5381)
@@ -2,5 +2,5 @@
 
 /*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2010-2011
+ *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2010-2012
  *
  *  This file is part of libroar a part of RoarAudio,
Index: libroar/libroar.c
===================================================================
--- libroar/libroar.c	(revision 5373)
+++ libroar/libroar.c	(revision 5381)
@@ -2,5 +2,5 @@
 
 /*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2008-2011
+ *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2008-2012
  *
  *  This file is part of libroar a part of RoarAudio,
Index: libroar/ltm.c
===================================================================
--- libroar/ltm.c	(revision 5357)
+++ libroar/ltm.c	(revision 5381)
@@ -2,5 +2,5 @@
 
 /*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2010-2011
+ *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2010-2012
  *
  *  This file is part of libroar a part of RoarAudio,
Index: libroar/memmgr.c
===================================================================
--- libroar/memmgr.c	(revision 5270)
+++ libroar/memmgr.c	(revision 5381)
@@ -2,5 +2,5 @@
 
 /*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2010-2011
+ *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2010-2012
  *
  *  This file is part of libroar a part of RoarAudio,
Index: libroar/meta.c
===================================================================
--- libroar/meta.c	(revision 5295)
+++ libroar/meta.c	(revision 5381)
@@ -2,5 +2,5 @@
 
 /*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2008-2011
+ *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2008-2012
  *
  *  This file is part of libroar a part of RoarAudio,
Index: libroar/nnode.c
===================================================================
--- libroar/nnode.c	(revision 5028)
+++ libroar/nnode.c	(revision 5381)
@@ -2,5 +2,5 @@
 
 /*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2009-2011
+ *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2009-2012
  *
  *  This file is part of libroar a part of RoarAudio,
Index: libroar/notify.c
===================================================================
--- libroar/notify.c	(revision 5311)
+++ libroar/notify.c	(revision 5381)
@@ -2,5 +2,5 @@
 
 /*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2010-2011
+ *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2010-2012
  *
  *  This file is part of libroar a part of RoarAudio,
Index: libroar/notify_proxy.c
===================================================================
--- libroar/notify_proxy.c	(revision 4708)
+++ libroar/notify_proxy.c	(revision 5381)
@@ -2,5 +2,5 @@
 
 /*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2010-2011
+ *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2010-2012
  *
  *  This file is part of libroar a part of RoarAudio,
Index: libroar/passwordapi.c
===================================================================
--- libroar/passwordapi.c	(revision 4708)
+++ libroar/passwordapi.c	(revision 5381)
@@ -2,5 +2,5 @@
 
 /*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2010-2011
+ *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2010-2012
  *
  *  This file is part of libroar a part of RoarAudio,
Index: libroar/pinentry.c
===================================================================
--- libroar/pinentry.c	(revision 5373)
+++ libroar/pinentry.c	(revision 5381)
@@ -2,5 +2,5 @@
 
 /*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2008-2011
+ *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2008-2012
  *
  *  This file is part of libroar a part of RoarAudio,
Index: libroar/plugincontainer.c
===================================================================
--- libroar/plugincontainer.c	(revision 5353)
+++ libroar/plugincontainer.c	(revision 5381)
@@ -2,5 +2,5 @@
 
 /*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2011
+ *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2011-2012
  *
  *  This file is part of libroar a part of RoarAudio,
Index: libroar/proto.c
===================================================================
--- libroar/proto.c	(revision 5295)
+++ libroar/proto.c	(revision 5381)
@@ -2,5 +2,5 @@
 
 /*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2008-2011
+ *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2008-2012
  *
  *  This file is part of libroar a part of RoarAudio,
Index: libroar/random.c
===================================================================
--- libroar/random.c	(revision 5007)
+++ libroar/random.c	(revision 5381)
@@ -2,5 +2,5 @@
 
 /*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2010-2011
+ *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2010-2012
  *
  *  This file is part of libroar a part of RoarAudio,
Index: libroar/roardl.c
===================================================================
--- libroar/roardl.c	(revision 5371)
+++ libroar/roardl.c	(revision 5381)
@@ -2,5 +2,5 @@
 
 /*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2010-2011
+ *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2010-2012
  *
  *  This file is part of libroar a part of RoarAudio,
Index: libroar/roarfloat.c
===================================================================
--- libroar/roarfloat.c	(revision 5014)
+++ libroar/roarfloat.c	(revision 5381)
@@ -2,5 +2,5 @@
 
 /*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2010-2011
+ *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2010-2012
  *
  *  This file is part of libroar a part of RoarAudio,
Index: libroar/roarx11.c
===================================================================
--- libroar/roarx11.c	(revision 4708)
+++ libroar/roarx11.c	(revision 5381)
@@ -2,5 +2,5 @@
 
 /*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2010-2011
+ *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2010-2012
  *
  *  This file is part of libroar a part of RoarAudio,
Index: libroar/serverinfo.c
===================================================================
--- libroar/serverinfo.c	(revision 5372)
+++ libroar/serverinfo.c	(revision 5381)
@@ -2,5 +2,5 @@
 
 /*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2010-2011
+ *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2010-2012
  *
  *  This file is part of libroar a part of RoarAudio,
Index: libroar/simple.c
===================================================================
--- libroar/simple.c	(revision 5377)
+++ libroar/simple.c	(revision 5381)
@@ -2,5 +2,5 @@
 
 /*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2008-2011
+ *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2008-2012
  *
  *  This file is part of libroar a part of RoarAudio,
Index: libroar/slp.c
===================================================================
--- libroar/slp.c	(revision 5270)
+++ libroar/slp.c	(revision 5381)
@@ -2,5 +2,5 @@
 
 /*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2009-2011
+ *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2009-2012
  *
  *  This file is part of libroar a part of RoarAudio,
Index: libroar/socket.c
===================================================================
--- libroar/socket.c	(revision 5379)
+++ libroar/socket.c	(revision 5381)
@@ -2,5 +2,5 @@
 
 /*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2008-2011
+ *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2008-2012
  *
  *  This file is part of libroar a part of RoarAudio,
Index: libroar/sshaskpass.c
===================================================================
--- libroar/sshaskpass.c	(revision 5379)
+++ libroar/sshaskpass.c	(revision 5381)
@@ -2,5 +2,5 @@
 
 /*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2009-2011
+ *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2009-2012
  *
  *  This file is part of libroar a part of RoarAudio,
Index: libroar/stack.c
===================================================================
--- libroar/stack.c	(revision 5272)
+++ libroar/stack.c	(revision 5381)
@@ -2,5 +2,5 @@
 
 /*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2009-2011
+ *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2009-2012
  *
  *  This file is part of libroar a part of RoarAudio,
Index: libroar/stream.c
===================================================================
--- libroar/stream.c	(revision 5380)
+++ libroar/stream.c	(revision 5381)
@@ -2,5 +2,5 @@
 
 /*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2008-2011
+ *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2008-2012
  *
  *  This file is part of libroar a part of RoarAudio,
Index: libroar/time.c
===================================================================
--- libroar/time.c	(revision 5363)
+++ libroar/time.c	(revision 5381)
@@ -2,5 +2,5 @@
 
 /*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2010-2011
+ *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2010-2012
  *
  *  This file is part of libroar a part of RoarAudio,
Index: libroar/trap.c
===================================================================
--- libroar/trap.c	(revision 5270)
+++ libroar/trap.c	(revision 5381)
@@ -2,5 +2,5 @@
 
 /*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2010-2011
+ *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2010-2012
  *
  *  This file is part of libroar a part of RoarAudio,
Index: libroar/vio.c
===================================================================
--- libroar/vio.c	(revision 5378)
+++ libroar/vio.c	(revision 5381)
@@ -2,5 +2,5 @@
 
 /*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2008-2011
+ *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2008-2012
  *
  *  This file is part of libroar a part of RoarAudio,
Index: libroar/vio_bio.c
===================================================================
--- libroar/vio_bio.c	(revision 5357)
+++ libroar/vio_bio.c	(revision 5381)
@@ -2,5 +2,5 @@
 
 /*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2009-2011
+ *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2009-2012
  *
  *  This file is part of libroar a part of RoarAudio,
Index: libroar/vio_buffer.c
===================================================================
--- libroar/vio_buffer.c	(revision 5278)
+++ libroar/vio_buffer.c	(revision 5381)
@@ -2,5 +2,5 @@
 
 /*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2010-2011
+ *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2010-2012
  *
  *  This file is part of libroar a part of RoarAudio,
Index: libroar/vio_buffer_store.c
===================================================================
--- libroar/vio_buffer_store.c	(revision 5300)
+++ libroar/vio_buffer_store.c	(revision 5381)
@@ -2,5 +2,5 @@
 
 /*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2010-2011
+ *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2010-2012
  *
  *  This file is part of libroar a part of RoarAudio,
Index: libroar/vio_cmd.c
===================================================================
--- libroar/vio_cmd.c	(revision 5373)
+++ libroar/vio_cmd.c	(revision 5381)
@@ -2,5 +2,5 @@
 
 /*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2009-2011
+ *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2009-2012
  *
  *  This file is part of libroar a part of RoarAudio,
Index: libroar/vio_dstr.c
===================================================================
--- libroar/vio_dstr.c	(revision 5367)
+++ libroar/vio_dstr.c	(revision 5381)
@@ -2,5 +2,5 @@
 
 /*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2009-2011
+ *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2009-2012
  *
  *  This file is part of libroar a part of RoarAudio,
Index: libroar/vio_jumbo.c
===================================================================
--- libroar/vio_jumbo.c	(revision 5278)
+++ libroar/vio_jumbo.c	(revision 5381)
@@ -2,5 +2,5 @@
 
 /*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2009-2011
+ *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2009-2012
  *
  *  This file is part of libroar a part of RoarAudio,
Index: libroar/vio_magic.c
===================================================================
--- libroar/vio_magic.c	(revision 5278)
+++ libroar/vio_magic.c	(revision 5381)
@@ -2,5 +2,5 @@
 
 /*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2009-2011
+ *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2009-2012
  *
  *  This file is part of libroar a part of RoarAudio,
Index: libroar/vio_misc.c
===================================================================
--- libroar/vio_misc.c	(revision 5278)
+++ libroar/vio_misc.c	(revision 5381)
@@ -2,5 +2,5 @@
 
 /*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2011
+ *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2011-2012
  *
  *  This file is part of libroar a part of RoarAudio,
Index: libroar/vio_ops.c
===================================================================
--- libroar/vio_ops.c	(revision 5223)
+++ libroar/vio_ops.c	(revision 5381)
@@ -2,5 +2,5 @@
 
 /*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2009-2011
+ *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2009-2012
  *
  *  This file is part of libroar a part of RoarAudio,
Index: libroar/vio_pipe.c
===================================================================
--- libroar/vio_pipe.c	(revision 5300)
+++ libroar/vio_pipe.c	(revision 5381)
@@ -2,5 +2,5 @@
 
 /*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2009-2011
+ *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2009-2012
  *
  *  This file is part of libroar a part of RoarAudio,
Index: libroar/vio_proto.c
===================================================================
--- libroar/vio_proto.c	(revision 5278)
+++ libroar/vio_proto.c	(revision 5381)
@@ -2,5 +2,5 @@
 
 /*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2009-2011
+ *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2009-2012
  *
  *  This file is part of libroar a part of RoarAudio,
Index: libroar/vio_proxy.c
===================================================================
--- libroar/vio_proxy.c	(revision 5367)
+++ libroar/vio_proxy.c	(revision 5381)
@@ -2,5 +2,5 @@
 
 /*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2011
+ *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2011-2012
  *
  *  This file is part of libroar a part of RoarAudio,
Index: libroar/vio_rtp.c
===================================================================
--- libroar/vio_rtp.c	(revision 5357)
+++ libroar/vio_rtp.c	(revision 5381)
@@ -2,5 +2,5 @@
 
 /*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2010-2011
+ *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2010-2012
  *
  *  This file is part of libroar a part of RoarAudio,
Index: libroar/vio_select.c
===================================================================
--- libroar/vio_select.c	(revision 5074)
+++ libroar/vio_select.c	(revision 5381)
@@ -2,5 +2,5 @@
 
 /*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2009-2011
+ *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2009-2012
  *
  *  This file is part of libroar a part of RoarAudio,
Index: libroar/vio_socket.c
===================================================================
--- libroar/vio_socket.c	(revision 5253)
+++ libroar/vio_socket.c	(revision 5381)
@@ -2,5 +2,5 @@
 
 /*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2009-2011
+ *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2009-2012
  *
  *  This file is part of libroar a part of RoarAudio,
Index: libroar/vio_stack.c
===================================================================
--- libroar/vio_stack.c	(revision 5278)
+++ libroar/vio_stack.c	(revision 5381)
@@ -2,5 +2,5 @@
 
 /*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2009-2011
+ *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2009-2012
  *
  *  This file is part of libroar a part of RoarAudio,
Index: libroar/vio_stdio.c
===================================================================
--- libroar/vio_stdio.c	(revision 5278)
+++ libroar/vio_stdio.c	(revision 5381)
@@ -2,5 +2,5 @@
 
 /*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2009-2011
+ *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2009-2012
  *
  *  This file is part of libroar a part of RoarAudio,
Index: libroar/vio_stdvios.c
===================================================================
--- libroar/vio_stdvios.c	(revision 5276)
+++ libroar/vio_stdvios.c	(revision 5381)
@@ -2,5 +2,5 @@
 
 /*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2010-2011
+ *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2010-2012
  *
  *  This file is part of libroar a part of RoarAudio,
Index: libroar/vio_stream.c
===================================================================
--- libroar/vio_stream.c	(revision 5377)
+++ libroar/vio_stream.c	(revision 5381)
@@ -2,5 +2,5 @@
 
 /*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2010-2011
+ *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2010-2012
  *
  *  This file is part of libroar a part of RoarAudio,
Index: libroar/vio_string.c
===================================================================
--- libroar/vio_string.c	(revision 5278)
+++ libroar/vio_string.c	(revision 5381)
@@ -2,5 +2,5 @@
 
 /*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2009-2011
+ *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2009-2012
  *
  *  This file is part of libroar a part of RoarAudio,
Index: libroar/vio_tantalos.c
===================================================================
--- libroar/vio_tantalos.c	(revision 5270)
+++ libroar/vio_tantalos.c	(revision 5381)
@@ -2,5 +2,5 @@
 
 /*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2010-2011
+ *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2010-2012
  *
  *  This file is part of libroar a part of RoarAudio,
Index: libroar/vio_winsock.c
===================================================================
--- libroar/vio_winsock.c	(revision 5377)
+++ libroar/vio_winsock.c	(revision 5381)
@@ -2,5 +2,5 @@
 
 /*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2009-2011
+ *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2009-2012
  *
  *  This file is part of libroar a part of RoarAudio,
Index: libroar/vio_zlib.c
===================================================================
--- libroar/vio_zlib.c	(revision 5300)
+++ libroar/vio_zlib.c	(revision 5381)
@@ -2,5 +2,5 @@
 
 /*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2011
+ *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2011-2012
  *
  *  This file is part of libroar a part of RoarAudio,
Index: libroar/vs.c
===================================================================
--- libroar/vs.c	(revision 5357)
+++ libroar/vs.c	(revision 5381)
@@ -2,5 +2,5 @@
 
 /*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2010-2011
+ *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2010-2012
  *
  *  This file is part of libroar a part of RoarAudio,