Index: doc/man3/roar_connect.3
===================================================================
--- doc/man3/roar_connect.3	(revision 4013)
+++ doc/man3/roar_connect.3	(revision 5032)
@@ -1,8 +1,8 @@
 .\" roar_simple_play.3:
 
-.TH "roar_connect" "3" "July 2008" "RoarAudio" "System Manager's Manual: RoarAuido"
+.TH "roar_connect" "3" "May 2011" "RoarAudio" "System Manager's Manual: RoarAudio"
 
 .SH NAME
-roar_connect \- connects to RoarAudio's sound server
+roar_connect, roar_connect2 \- connects to RoarAudio's sound server
 
 .SH SYNOPSIS
@@ -11,9 +11,10 @@
 
 int roar_connect(struct roar_connection * con, char * server);
+int roar_connect2     (struct roar_connection * con, char * server, int flags, uint_least32_t timeout);
 
 .SH "DESCRIPTION"
 Connects to RoarAudio's sound server.
-This call just connects to the sound server without any auth or identify.
-Do not use this from end user applications. Use \fBroar_simple_connect\fR(3).
+This calls just connects to the sound server without any authentication or identify.
+Do not use this from end user applications. Use \fBroar_simple_connect\fR(3) or \fBroar_simple_connect2\fR(3).
 
 
@@ -26,7 +27,13 @@
 \fBserver\fR
 The server to connect to.
-This may be in form "host[:port]" (TCP/IP), "/path/to/sock" (UNIX Domain Socket) or any other supported.
-For a full list see \fBroartips\fR(7).
 
+.TP
+\fBflags\fR
+Flags used to connect to the server. Currently only ROAR_ENUM_FLAG_NONE and ROAR_ENUM_FLAG_NONBLOCK are supported.
+ROAR_ENUM_FLAG_NONBLOCK disables some of the server location features.
+
+.TP
+\fBtimeout\fR
+Timeout for the connection. A value of zero means no timeout. Currently timeouts are not supported.
 
 .SH "RETURN VALUE"
Index: doc/man3/roar_disconnect.3
===================================================================
--- doc/man3/roar_disconnect.3	(revision 4013)
+++ doc/man3/roar_disconnect.3	(revision 5032)
@@ -1,5 +1,5 @@
 .\" roar_simple_play.3:
 
-.TH "roar_disconnect" "3" "July 2008" "RoarAudio" "System Manager's Manual: RoarAuido"
+.TH "roar_disconnect" "3" "May 2011" "RoarAudio" "System Manager's Manual: RoarAudio"
 
 .SH NAME
@@ -13,5 +13,5 @@
 
 .SH "DESCRIPTION"
-Closes es connection previously opend via \fBBroar_simple_connect\fR(3).
+Closes es connection previously opend via \fBBroar_simple_connect\fR(3) or \fBBroar_simple_connect2\fR(3).
 
 
Index: doc/man3/roar_exit.3
===================================================================
--- doc/man3/roar_exit.3	(revision 4013)
+++ doc/man3/roar_exit.3	(revision 5032)
@@ -1,5 +1,5 @@
 .\" roar_simple_play.3:
 
-.TH "roar_exit" "3" "July 2008" "RoarAudio" "System Manager's Manual: RoarAuido"
+.TH "roar_exit" "3" "May 2011" "RoarAudio" "System Manager's Manual: RoarAudio"
 
 .SH NAME
@@ -19,5 +19,6 @@
 Ask the sound server to quit.
 
-roar_exit() let the server quit ....
+roar_exit() let the server quit without waiting for any clients.
+All streams and client connections will be closed cleanly.
 
 roar_terminate() will let the server quit as soon as all clients disconnects
Index: doc/man3/roar_get_standby.3
===================================================================
--- doc/man3/roar_get_standby.3	(revision 4017)
+++ doc/man3/roar_get_standby.3	(revision 5032)
@@ -1,5 +1,5 @@
 .\" roar_simple_play.3:
 
-.TH "roar_get_standby" "3" "July 2008" "RoarAudio" "System Manager's Manual: RoarAuido"
+.TH "roar_get_standby" "3" "May 2011" "RoarAudio" "System Manager's Manual: RoarAudio"
 
 .SH NAME
Index: doc/man3/roar_get_vol.3
===================================================================
--- doc/man3/roar_get_vol.3	(revision 4013)
+++ doc/man3/roar_get_vol.3	(revision 5032)
@@ -1,8 +1,8 @@
 .\" roar_simple_play.3:
 
-.TH "roar_get_vol" "3" "July 2008" "RoarAudio" "System Manager's Manual: RoarAuido"
+.TH "roar_get_vol" "3" "May 2011" "RoarAudio" "System Manager's Manual: RoarAudio"
 
 .SH NAME
-roar_get_vol, roar_set_vol \- Set mixer levels or RoarAudio streams
+roar_get_vol, roar_set_vol, roar_set_vol2 \- Set mixer levels or RoarAudio streams
 
 .SH SYNOPSIS
@@ -12,4 +12,6 @@
 int roar_set_vol(struct roar_connection * con, int id, struct roar_mixer_settings * mixer, int   channels);
 
+int roar_set_vol2     (struct roar_connection * con, int id, struct roar_mixer_settings * mixer, int   channels, int mode);
+
 int roar_get_vol(struct roar_connection * con, int id, struct roar_mixer_settings * mixer, int * channels);
 
@@ -17,5 +19,5 @@
 This call gets or sets the mixing levels for a stream.
 
-\fBNOTE: This call is not marked as forzen, it's interface may change in newer versions!\fR
+roar_set_vol() is marked obsolete and will be removed soon, use roar_set_vol2().
 
 .SH "PARAMETERS"
@@ -28,13 +30,16 @@
 The ID of the stream to change.
 
-\fBNOTE:\fR the type of this argument may change in newer versions of the lib!
-
 .TP
 \fBmixer\fR
-FIXME
+The mixer state for the stream.
 
 .TP
 \fBchannels\fR
-FIXME
+The number of channels to set mixer data for or the number of channels mixer data is returned.
+
+.TP
+\fBmode\fR
+The mode of operating. Currently the following modes are supported:
+ROAR_SET_VOL_ALL, ROAR_SET_VOL_MS, ROAR_SET_VOL_UNMAPPED.
 
 .SH "RETURN VALUE"
Index: doc/man3/roar_server_oinfo.3
===================================================================
--- doc/man3/roar_server_oinfo.3	(revision 4013)
+++ doc/man3/roar_server_oinfo.3	(revision 5032)
@@ -1,8 +1,8 @@
 .\" roar_simple_play.3:
 
-.TH "roar_server_oinfo" "3" "July 2008" "RoarAudio" "System Manager's Manual: RoarAuido"
+.TH "roar_server_oinfo2" "3" "May 2011" "RoarAudio" "System Manager's Manual: RoarAudio"
 
 .SH NAME
-roar_server_oinfo \- Gets information on the output stream of RoarAudio's sound server
+roar_server_oinfo, roar_server_oinfo2 \- Gets information on the output stream of RoarAudio's sound server
 
 .SH SYNOPSIS
@@ -11,8 +11,11 @@
 
 int roar_server_oinfo(struct roar_connection * con, struct roar_stream * s);
+int roar_server_oinfo2(struct roar_connection * con, struct roar_stream * s, int dir);
 
 .SH "DESCRIPTION"
-Gets information on the output stream of the sound server. The output stream is the stream it sends
-to the soundcard. This can be used to get optimal parameters for all operations so the server don't need to resample.
+Gets information about the default mixer stream for the given stream direction.
+This can be used to get optimal parameters for all operations so the server don't need to resample.
+
+roar_server_oinfo() is marked as obsolete and will be removed soon.
 
 .SH "PARAMETERS"
@@ -25,4 +28,8 @@
 A stream object to be filled with information on the output stream.
 
+.TP
+\fBdir\fR
+The stream direction to query mixer data for.
+
 .SH "RETURN VALUE"
 On success these calls return 0.  On error, \-1 is returned.
@@ -32,6 +39,4 @@
 
 .SH "SEE ALSO"
-\fBroar_simple_filter\fR(3),
-\fBroar_simple_monitor\fR(3),
 \fBlibroar\fR(7),
 \fBRoarAudio\fR(7).
Index: doc/man3/roar_simple_close.3
===================================================================
--- doc/man3/roar_simple_close.3	(revision 4013)
+++ doc/man3/roar_simple_close.3	(revision 5032)
@@ -1,5 +1,5 @@
 .\" roar_simple_play.3:
 
-.TH "roar_simple_close" "3" "July 2008" "RoarAudio" "System Manager's Manual: RoarAuido"
+.TH "roar_simple_close" "3" "May 2011" "RoarAudio" "System Manager's Manual: RoarAudio"
 
 .SH NAME
@@ -14,4 +14,6 @@
 .SH "DESCRIPTION"
 Closes a filehandle opened via \fBroar_simple_play\fR(3), \fBroar_simple_monitor\fR(3), \fBroar_simple_record\fR(3), \fBroar_simple_filter\fR(3) or \fBroar_simple_new_stream\fR(3).
+
+This function is marked obsolete and will be removed soon. Use \fBroar_vs_close\fR(3).
 
 .SH "PARAMETERS"
@@ -28,4 +30,5 @@
 
 .SH "SEE ALSO"
+\fBroar_vs_close\fR(3),
 \fBroar_simple_play\fR(3),
 \fBroar_simple_monitor\fR(3),
Index: doc/man3/roar_simple_connect.3
===================================================================
--- doc/man3/roar_simple_connect.3	(revision 4013)
+++ doc/man3/roar_simple_connect.3	(revision 5032)
@@ -1,8 +1,8 @@
 .\" roar_simple_play.3:
 
-.TH "roar_simple_connect" "3" "July 2008" "RoarAudio" "System Manager's Manual: RoarAuido"
+.TH "roar_simple_connect" "3" "May 2011" "RoarAudio" "System Manager's Manual: RoarAudio"
 
 .SH NAME
-roar_simple_connect \- Opens a connection to RoarAudio's sound server
+roar_simple_connect, roar_simple_connect2 \- Opens a connection to RoarAudio's sound server
 
 .SH SYNOPSIS
@@ -11,8 +11,9 @@
 
 int roar_simple_connect (struct roar_connection * con, char * server, char * name);
+int roar_simple_connect2(struct roar_connection * con, char * server, char * name, int flags, uint_least32_t timeout);
+
 
 .SH "DESCRIPTION"
-This call opens a connection to the RoarAudio's sound server. This is useful for controlling the server or
-update meta data of any kind. For simple playback see \fBroar_simple_play\fR(3).
+This calls opens a connection to the RoarAudio's sound server.
 To disconnect use \fBroar_disconnect\fR(3).
 
@@ -31,4 +32,13 @@
 The name of this client. Should be the name of the player without any paths or filenames.
 
+.TP
+\fBflags\fR
+Flags used to connect to the server. Currently only ROAR_ENUM_FLAG_NONE and ROAR_ENUM_FLAG_NONBLOCK are supported.
+ROAR_ENUM_FLAG_NONBLOCK disables some of the server location features.
+
+.TP
+\fBtimeout\fR
+Timeout for the connection. A value of zero means no timeout. Currently timeouts are not supported.
+
 .SH "RETURN VALUE"
 On success these calls return 0.  On error, \-1 is returned.
@@ -39,5 +49,4 @@
 .SH "SEE ALSO"
 \fBroar_disconnect\fR(3),
-\fBroar_simple_play\fR(3),
 \fBlibroar\fR(7),
 \fBRoarAudio\fR(7).
Index: doc/man3/roar_simple_get_standby.3
===================================================================
--- doc/man3/roar_simple_get_standby.3	(revision 4013)
+++ doc/man3/roar_simple_get_standby.3	(revision 5032)
@@ -1,5 +1,5 @@
 .\" roar_simple_play.3:
 
-.TH "roar_simple_get_standby" "3" "July 2008" "RoarAudio" "System Manager's Manual: RoarAuido"
+.TH "roar_simple_get_standby" "3" "May 2011" "RoarAudio" "System Manager's Manual: RoarAudio"
 
 .SH NAME
@@ -15,4 +15,6 @@
 Asks the server for it's standby state.
 
+This function is marked obsolete and will be removed soon. Use \fRroar_get_standby\fR(3).
+
 .SH "PARAMETERS"
 .TP
@@ -27,4 +29,5 @@
 
 .SH "SEE ALSO"
+\fRroar_get_standby\fR(3),
 \fBlibroar\fR(7),
 \fBRoarAudio\fR(7).
Index: doc/man3/roar_simple_new_stream.3
===================================================================
--- doc/man3/roar_simple_new_stream.3	(revision 4013)
+++ doc/man3/roar_simple_new_stream.3	(revision 5032)
@@ -1,5 +1,5 @@
 .\" roar_simple_play.3:
 
-.TH "roar_simple_new_stream" "3" "July 2008" "RoarAudio" "System Manager's Manual: RoarAuido"
+.TH "roar_simple_new_stream" "3" "May 2011" "RoarAudio" "System Manager's Manual: RoarAudio"
 
 .SH NAME
@@ -19,9 +19,11 @@
 some meta data or the volume to be updated after the stream is open.
 
+This functions are marked obsolete and will be removed in later releases.
+Please upgrade to VS API. See \fBroar_vs_new_simple\fR(3).
 
 .SH "PARAMETERS"
 .TP
 \fBcon\fR
-The "parent" connection. This is a valid open controll connection as opend via \fBroar_simple_connect\fR(3).
+The "parent" connection. This is a valid open control connection as opend via \fBroar_simple_connect\fR(3).
 
 .TP
@@ -45,4 +47,5 @@
 
 .SH "SEE ALSO"
+\fBroar_vs_new_simple\fR(3),
 \fBroar_simple_connect\fR(3),
 \fBroar_simple_play\fR(3),
Index: doc/man3/roar_simple_play.3
===================================================================
--- doc/man3/roar_simple_play.3	(revision 4013)
+++ doc/man3/roar_simple_play.3	(revision 5032)
@@ -1,5 +1,5 @@
 .\" roar_simple_play.3:
 
-.TH "roar_simple_play" "3" "July 2008" "RoarAudio" "System Manager's Manual: RoarAuido"
+.TH "roar_simple_play" "3" "May 2011" "RoarAudio" "System Manager's Manual: RoarAudio"
 
 .SH NAME
@@ -22,5 +22,8 @@
 After you are done you need to close the connection via \fBroar_simple_close\fR(3).
 In case you just don't do anything with the stream the server will kick your connection, or, in case of playback
-warns the user avout underruns.
+warns the user about underruns.
+
+All those functions are marked obsolete and will be removed soon.
+Please upgrade to VS API. See \fBroar_vs_new_simple\fR(3). 
 
 .SH "PARAMETERS"
@@ -67,4 +70,5 @@
 
 .SH "SEE ALSO"
+\fBroar_vs_new_simple\fR(3),
 \fBroarcat\fR(1), \fBroarmon\fR(1), \fBroarrec\fR(1), \fBroarfilt\fR(1),
 \fBroar_server_oinfo\fR(3),
Index: doc/man3/roar_simple_stream.3
===================================================================
--- doc/man3/roar_simple_stream.3	(revision 4013)
+++ doc/man3/roar_simple_stream.3	(revision 5032)
@@ -1,5 +1,5 @@
 .\" roar_simple_play.3:
 
-.TH "roar_simple_stream" "3" "July 2008" "RoarAudio" "System Manager's Manual: RoarAuido"
+.TH "roar_simple_stream" "3" "May 2011" "RoarAudio" "System Manager's Manual: RoarAudio"
 
 .SH NAME
@@ -13,5 +13,8 @@
 
 .SH "DESCRIPTION"
-This creates a new stream to RoarAudio. Normaly you want to use one of \fBroar_simple_play\fR(3), \fBroar_simple_monitor\fR(3), \fBroar_simple_record\fR(3) or \fBroar_simple_filter\fR(3).
+This creates a new stream to RoarAudio. Normally you want to use one of \fBroar_simple_play\fR(3), \fBroar_simple_monitor\fR(3), \fBroar_simple_record\fR(3) or \fBroar_simple_filter\fR(3).
+
+his functions are marked obsolete and will be removed very soon.
+Please upgrade to VS API. See \fBroar_vs_new_simple\fR(3).
 
 .SH "PARAMETERS"
@@ -56,4 +59,5 @@
 
 .SH "SEE ALSO"
+\fBroar_vs_new_simple\fR(3),
 \fBroar_simple_play\fR(3),
 \fBroar_simple_close\fR(3),
Index: doc/man3/roar_socket_listen.3
===================================================================
--- doc/man3/roar_socket_listen.3	(revision 4013)
+++ doc/man3/roar_socket_listen.3	(revision 5032)
@@ -1,5 +1,5 @@
 .\" roar_simple_play.3:
 
-.TH "roar_socket_listen" "3" "July 2008" "RoarAudio" "System Manager's Manual: RoarAuido"
+.TH "roar_socket_listen" "3" "May 2011" "RoarAudio" "System Manager's Manual: RoarAudio"
 
 .SH NAME
Index: doc/man3/roar_socket_nonblock.3
===================================================================
--- doc/man3/roar_socket_nonblock.3	(revision 4013)
+++ doc/man3/roar_socket_nonblock.3	(revision 5032)
@@ -1,5 +1,5 @@
 .\" roar_simple_play.3:
 
-.TH "roar_socket_nonblock" "3" "July 2008" "RoarAudio" "System Manager's Manual: RoarAuido"
+.TH "roar_socket_nonblock" "3" "May 2011" "RoarAudio" "System Manager's Manual: RoarAudio"
 
 .SH NAME
Index: doc/man3/roar_str2codec.3
===================================================================
--- doc/man3/roar_str2codec.3	(revision 4013)
+++ doc/man3/roar_str2codec.3	(revision 5032)
@@ -1,5 +1,5 @@
 .\" roar_simple_play.3:
 
-.TH "roar_str2codec" "3" "July 2008" "RoarAudio" "System Manager's Manual: RoarAuido"
+.TH "roar_str2codec" "3" "May 2011" "RoarAudio" "System Manager's Manual: RoarAudio"
 
 .SH NAME
Index: doc/man3/roar_stream_add_data.3
===================================================================
--- doc/man3/roar_stream_add_data.3	(revision 4013)
+++ doc/man3/roar_stream_add_data.3	(revision 5032)
@@ -1,5 +1,5 @@
 .\" roar_simple_play.3:
 
-.TH "roar_stream_add_data" "3" "July 2008" "RoarAudio" "System Manager's Manual: RoarAuido"
+.TH "roar_stream_add_data" "3" "May 2011" "RoarAudio" "System Manager's Manual: RoarAudio"
 
 .SH NAME
Index: doc/man3/roar_stream_connect.3
===================================================================
--- doc/man3/roar_stream_connect.3	(revision 4013)
+++ doc/man3/roar_stream_connect.3	(revision 5032)
@@ -1,5 +1,5 @@
 .\" roar_simple_play.3:
 
-.TH "roar_stream_connect" "3" "July 2008" "RoarAudio" "System Manager's Manual: RoarAuido"
+.TH "roar_stream_connect" "3" "May 2011" "RoarAudio" "System Manager's Manual: RoarAudio"
 
 .SH NAME
Index: doc/man3/roar_stream_connect_to.3
===================================================================
--- doc/man3/roar_stream_connect_to.3	(revision 4013)
+++ doc/man3/roar_stream_connect_to.3	(revision 5032)
@@ -1,5 +1,5 @@
 .\" roar_simple_play.3:
 
-.TH "roar_stream_connect_to" "3" "July 2008" "RoarAudio" "System Manager's Manual: RoarAuido"
+.TH "roar_stream_connect_to" "3" "May 2011" "RoarAudio" "System Manager's Manual: RoarAudio"
 
 .SH NAME
Index: doc/man3/roar_stream_exec.3
===================================================================
--- doc/man3/roar_stream_exec.3	(revision 4013)
+++ doc/man3/roar_stream_exec.3	(revision 5032)
@@ -1,5 +1,5 @@
 .\" roar_simple_play.3:
 
-.TH "roar_stream_exec" "3" "July 2008" "RoarAudio" "System Manager's Manual: RoarAuido"
+.TH "roar_stream_exec" "3" "May 2011" "RoarAudio" "System Manager's Manual: RoarAudio"
 
 .SH NAME
Index: doc/man3/roar_stream_new.3
===================================================================
--- doc/man3/roar_stream_new.3	(revision 4013)
+++ doc/man3/roar_stream_new.3	(revision 5032)
@@ -1,5 +1,5 @@
 .\" roar_simple_play.3:
 
-.TH "roar_stream_new" "3" "July 2008" "RoarAudio" "System Manager's Manual: RoarAuido"
+.TH "roar_stream_new" "3" "May 2011" "RoarAudio" "System Manager's Manual: RoarAudio"
 
 .SH NAME
Index: doc/man3/roar_vio_close.3
===================================================================
--- doc/man3/roar_vio_close.3	(revision 4013)
+++ doc/man3/roar_vio_close.3	(revision 5032)
@@ -1,5 +1,5 @@
 .\" roar_simple_play.3:
 
-.TH "roar_vio_close" "3" "March 2009" "RoarAudio" "System Manager's Manual: RoarAuido"
+.TH "roar_vio_close" "3" "May 2011" "RoarAudio" "System Manager's Manual: RoarAudio"
 
 .SH NAME